<?php get_header(); ?>
<div id="wrapper_main" class="wrapper">
    <div class="center">
        <div class="span8">

            <div class="column first" id="main">

                <div class="content">

                    <?php
                    $paged = get_query_var('paged') ? get_query_var('paged') : 1;
                    ?>

                    <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
                    <?php /* If this is a category archive */ if (is_category()) { ?>
                        <h2 class="pagetitle"><?php single_cat_title(); ?></h2>

                        <?php
                        if ($_GET['by'] == "view") {


                            //echo "by views";
                            $query = new WP_Query(array('paged' => $paged, 'orderby' => 'meta_value_num', 'meta_key' => 'video-views', 'order' => 'DESC', 'cat' => $cat));
                        } else if ($_GET['by'] == "time") {


                            //echo "by views";
                            $query = new WP_Query(array('paged' => $paged, 'orderby' => 'meta_value_num', 'meta_key' => 'video-time', 'order' => 'DESC', 'cat' => $cat));
                        } else if ($_GET['by'] == "rating") {


                            //echo "by views";
                            $query = new WP_Query(array('paged' => $paged, 'orderby' => 'meta_value_num', 'meta_key' => 'ratings_average', 'order' => 'DESC', 'cat' => $cat));
                        } else if ($_GET['by'] == "recent" || !isset($_GET['by'])) {
                            $query = new WP_query(array('paged' => $paged, 'order' => 'DESC', 'cat' => $cat));
                        }


                        /* If this is a daily archive */
                    } else if (is_day()) {
                        ?>
                        <h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>

                        <?php
                        /* If this is a monthly archive */
                    } else if (is_month()) {
                        ?>
                        <h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>

                        <?php
                        /* If this is a yearly archive */
                    } else if (is_year()) {
                        ?>
                        <h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>

                        <?php
                        /* If this is an author archive */
                    } else if (is_author()) {
                        ?>
                        <h2 class="pagetitle">Author Archive</h2>

                        <?php
                        /* If this is a paged archive */
                    } else if (isset($_GET['paged']) && !empty($_GET['paged'])) {
                        ?>
                        <h2 class="pagetitle">Blog Archives</h2>

                    <?php } ?>




                    <?php
                    if ($query->have_posts()) :
                        $lcount = 0;

                        while ($query->have_posts()) : $query->the_post();

                            if ($lcount === 0) {
                                ?> <div class="entry"> <?php
                }
                $lcount++;
                            ?>
                                <div class='gallery_entry gallery_entry_<?php echo $lcount; ?>'>
                                    <div class='gallery_inner'>
                                        <a class='preloading gallery_image' href="<?php the_permalink(); ?>">
                                            <?php if (has_post_thumbnail()) { ?>
                                                <?php the_post_thumbnail('featured-thumb-small', array('class' => 'entry-thumb')); ?>
                                            <?php } else { ?>
                                                <?php $img_url = get_post_meta(get_the_ID(), 'video-thumb', TRUE); ?>
                                                <?php if ($img_url != null) { ?><img src="<?php echo $img_url; ?>" alt="<?php the_title(); ?>" class="entry-thumb"/><?php } ?>
                                            <?php } ?>					
                                        </a>
                                        <?php if (get_post_meta(get_the_ID(), 'video-time', true)) { ?>
                                            <small class="time"> <?php
                                            if ((get_post_meta(get_the_ID(), 'video-time', true)) > 3599) {
                                                echo gmdate("H:i:s", get_post_meta(get_the_ID(), 'video-time', true));
                                            } else {
                                                echo gmdate("i:s", get_post_meta(get_the_ID(), 'video-time', true));
                                            }
                                            ?> </small>
                                            <?php } ?>
                                        <span class='comment_link'>
                                            <?php do_action('dispview'); ?>
                                        </span>
                                        <?php if (function_exists('the_ratings')) the_ratings(); ?>
                                    </div>
                                    <h3><a href='<?php the_permalink(); ?>'><?php echo substr(the_title('', '', FALSE), 0, 30); ?></a></h3>
                                </div>
                                <?php
                                if ($lcount == 3) {
                                    $lcount = 0;
                                    echo '</div>';
                                }
                                ?>

                                <?php
                            endwhile;
                            if ($lcount != 0) {
                                ?></div> <?php } ?>


                    <?php else : ?>

                        <h2 class="center">Not Found</h2>
                        <?php include (TEMPLATEPATH . '/searchform.php'); ?>

                    <?php endif; ?>

                    <?php if (function_exists('wp_pagenavi')) wp_pagenavi(); ?>

                </div> <!-- /content -->
            </div> <!-- /maincontent-->
        </div> <!-- /page -->


        <div class="span4 sidebar">
            <?php get_sidebar(); ?>
        </div></div>

</div>

<?php get_footer(); ?>